#!/bin/env python
# Autogenerated file for network execution via module

import imp
import fastr

# Log to console and reinitialize to take redirected stdout
fastr.config.logtype = 'console'
fastr.config._update_logging()

source_data = {
    "input": {
        "ANONYMIZ001_BRAIN": "xnat://xnat:8080/data/archive/projects/sandbox/subjects/ANONYMIZ001/experiments/ANONYMIZ001_BRAIN/scans/3/resources/DICOM?insecure=true"
    }
}

sink_data = {
    "brainExtract": "xnat://xnat:8080/data/archive/projects/sandbox/subjects/ANONYMIZ001/experiments/ANONYMIZ001_BRAIN/scans/3/resources/NIFTI/files/brainextract{ext}?resource_type=xnat%3AresourceCatalog&assessors_type=xnat%3AqcAssessmentData&insecure=true",
    "brainMask": "xnat://xnat:8080/data/archive/projects/sandbox/subjects/ANONYMIZ001/experiments/ANONYMIZ001_BRAIN/scans/3/resources/NIFTI/files/brainmask{ext}?resource_type=xnat%3AresourceCatalog&assessors_type=xnat%3AqcAssessmentData&insecure=true"
}

network_module = imp.load_source('hd_bet', '/project/scratch/fastr_hd_bet_1_network.py')
network = network_module.create_network()
run = network.execute(source_data, sink_data, tmpdir='/tmp/fastr_hd_bet_1')
exit(0 if run.result else 1)
